Unchecked Return Value Affecting python2.7 package, versions <2.7.13-2+deb9u6


0.0
medium

Snyk CVSS

    Attack Complexity Low
Expand this section
NVD
5.3 medium
Expand this section
SUSE
5.3 medium
Expand this section
Red Hat
5.3 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-DEBIAN9-PYTHON27-2329035
  • published 1 Jan 2022
  • disclosed 24 Aug 2022

How to fix?

Upgrade Debian:9 python2.7 to version 2.7.13-2+deb9u6 or higher.

NVD Description

Note: Versions mentioned in the description apply to the upstream python2.7 package. See How to fix? for Debian:9 relevant versions.

A flaw was found in Python, specifically in the FTP (File Transfer Protocol) client library in PASV (passive) mode. The issue is how the FTP client trusts the host from the PASV response by default. This flaw allows an attacker to set up a malicious FTP server that can trick FTP clients into connecting back to a given IP address and port. This vulnerability could lead to FTP client scanning ports, which otherwise would not have been possible.